#include <stdio.h>
#include <math.h>
#include <time.h>
#include "noidea.math.h"

int main (void)
{
	printf("algo \n");

	//int i;
	//for (i=1;i<=360;i+=2)
	//{
	//	printf("%5d   ",NOIDEA_cos(i,360));
	//}
	//printf("\n");

	int now;

	now = clock();
	float answar;
	float k;
	for (k=1;k<=360;k+=0.0025)
	{
		answar = sin (k);
		answar = cos (k);
	}
	now = clock() - now;
	printf ("classic math.h 0-360 sin cos done in %d ticks \n",now);

	now = clock();
	float j;
	for (j=1;j<=360;j+=0.0025)
	{
		NOIDEA_sin((int)j,360);
		NOIDEA_cos((int)j,360);
	}
	now = clock() - now;
	printf ("esotheric algo 0-360 sin cos done in %d ticks \n",now);

	now = clock();
	int m,n;
	for (m=1;m<1000;m+=1)
	{
		for (n=1;n<1000;n+=1)
		{
			sqrt((float)((m*m)+(n*n)));
		}
	}
	now = clock() - now;
	printf ("classic math.h hypothenus done in %d ticks \n",now);

	now = clock();
	int o,p;
	for (o=1;o<1000;o+=1)
	{
		for (p=1;p<1000;p+=1)
		{
			NOIDEA_hype(o,p);
		}
	}
	now = clock() - now;
	printf ("esotheric algo hypothenus done in %d ticks \n",now);

	return 0;
}
